
# Hyper-parameters:

#     Data
CUR_DATASET_IN = 'WordNet18RR' # Options: Cora, Citeseer, Pubmed, WordNet18RR, FB15k-237

#     Procedure
DO_VISUAL = False
DO_REPORT_HITS = False
GET_DATASET_STATS = True
NUM_TESTS = 1
ERROR_CAP = 4
URL_ERROR_CAP = 3

#     Model
EMBEDDING_TYPE = 'TransE' # Options: TransE, RotatE, DistMult, RESCAL, ComplEx
NUM_MODEL_LAYERS = 3
LEARNING_RATE = 0.0009
WEIGHT_DECAY = 0.0
NUM_FEATURES = 256
USE_SELF_EMBEDDING = True

#     Training
USE_EARLY_STOPPING = True
FORCED_EPOCHS = 50
STOPPING_CONDITION = 80
NUM_EPOCHS = 32
